/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontent.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import org.springframework.format.annotation.NumberFormat;

/**
 * 结算编审Entity
 * @author ssrh
 * @version 2018-06-06
 */
public class WorkContentBudget extends DataEntity<WorkContentBudget> {
	
	private static final long serialVersionUID = 1L;
	private String projectId;		// 项目id
	private String contentId;		// 工作内容ID
	private String budgetNum;		// 编号
	private String costName;		// 工程费用名称
    @NumberFormat(style = NumberFormat.Style.CURRENCY)
	private Double reviewAmt;		// 送审金额
    @NumberFormat(style = NumberFormat.Style.CURRENCY)
	private Double setAmt;		// 定审金额
    @NumberFormat(style = NumberFormat.Style.CURRENCY)
	private Double floatAmt;		// 审增减金额
	private String floatReason;		// 审增减原因
	private String nodeTypes;		// 节点类型
	
	public WorkContentBudget() {
		super();
	}

	public WorkContentBudget(String id){
		super(id);
	}

	@ExcelField(title="项目id", align=2, sort=7)
	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}
	
	@ExcelField(title="工作内容ID", align=2, sort=8)
	public String getContentId() {
		return contentId;
	}

	public void setContentId(String contentId) {
		this.contentId = contentId;
	}
	
	@ExcelField(title="编号", align=2, sort=9)
	public String getBudgetNum() {
		return budgetNum;
	}

	public void setBudgetNum(String budgetNum) {
		this.budgetNum = budgetNum;
	}
	
	@ExcelField(title="工程费用名称", align=2, sort=10)
	public String getCostName() {
		return costName;
	}

	public void setCostName(String costName) {
		this.costName = costName;
	}
	
	@ExcelField(title="送审金额", align=2, sort=11)
	public Double getReviewAmt() {
		return reviewAmt;
	}

	public void setReviewAmt(Double reviewAmt) {
		this.reviewAmt = reviewAmt;
	}
	
	@ExcelField(title="定审金额", align=2, sort=12)
	public Double getSetAmt() {
		return setAmt;
	}

	public void setSetAmt(Double setAmt) {
		this.setAmt = setAmt;
	}
	
	@ExcelField(title="审增减金额", align=2, sort=13)
	public Double getFloatAmt() {
		return floatAmt;
	}

	public void setFloatAmt(Double floatAmt) {
		this.floatAmt = floatAmt;
	}
	
	@ExcelField(title="审增减原因", align=2, sort=14)
	public String getFloatReason() {
		return floatReason;
	}

	public void setFloatReason(String floatReason) {
		this.floatReason = floatReason;
	}
	
	@ExcelField(title="节点类型", align=2, sort=15)
	public String getNodeTypes() {
		return nodeTypes;
	}

	public void setNodeTypes(String nodeTypes) {
		this.nodeTypes = nodeTypes;
	}
	
}